Subject: linux-next: manual merge of the y2038 tree with the ceph tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 6 Jun 2018 20:15:01 +1000

Hi all,

Today's linux-next merge of the y2038 tree got a conflict in:

  fs/ceph/addr.c

between commit:

  c843d13caefa ("libceph: make abort_on_full a per-osdc setting")

from the ceph tree and commit:

  213ae530f442 ("vfs: change inode times to use struct timespec64")

from the y2038 tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc fs/ceph/addr.c
index ca0d5510ed50,0133ea2b784a..000000000000
--- a/fs/ceph/addr.c
+++ b/fs/ceph/addr.c
@@@ -1934,7 -1936,8 +1936,7 @@@ static int __ceph_pool_perm_get(struct 
  				     0, false, true);
  	err = ceph_osdc_start_request(&fsc->client->osdc, rd_req, false);
  
- 	wr_req->r_mtime = ci->vfs_inode.i_mtime;
+ 	wr_req->r_mtime = timespec64_to_timespec(ci->vfs_inode.i_mtime);
 -	wr_req->r_abort_on_full = true;
  	err2 = ceph_osdc_start_request(&fsc->client->osdc, wr_req, false);
  
  	if (!err)